#!/bin/bash
#---------------------------
# Sandor Kertesz, HMS
# 19 March, 2007
#---------------------------

#--Vetulet es terkepmeret beallitasa
 
 psbasemap "--PAPER_MEDIA=Custom_640x455" "--ANNOT_FONT_SIZE=10p" -R15.5/45.5/23/49r -X50p -Y50p -JX18c/12c -Ba1/a1 -P -V -K  > tmp.ps 

#--Interpolacio
 
 blockmedian -R -I5m  -V  synop.txt > syn_grd.txt
 surface syn_grd.txt -R -I5m -V  -Gsyn.grd
 
 c_min="-10."
 c_max="20."
 c_step="1."
 makecpt -Crainbow -T${c_min}/${c_max}/${c_step} > haho.cpt

#--A szinezett mezo megrajzolasa

 grdview syn.grd -R -JX -Chaho.cpt -Qs  -K -O -V  >> tmp.ps

#--Legend

 psscale "--ANNOT_FONT_SIZE=10p" -D19c/6c/12c/0.4c -B${c_step}g${c_step} -Chaho.cpt -E -K -O >> tmp.ps

#--Terkepkonturok, folyok stb. megrajzolasa
 
 pscoast -R -JX  -I1/1p/0/0/0  -I2/1p/0/0/0  -N1p/0/0/0  -W1p/0/0/0 -Dh -S46/153/255 -V -K -O >> tmp.ps
 
#--A megfigyelesek felrajzolasa a terkepre

exec < synop.txt
while read acl
do
  lat=`echo $acl | awk '{print $2}'`
  lon=`echo $acl | awk '{print $1}'`
  tval=`echo $acl | awk '{print $3}'`

  echo $lon $lat  | psxy  -R -JX -P -St0.2c -G40/0/255 -K -O >> tmp.ps 
  echo $lon $lat 10 0 0 1 $tval | pstext -R  -JX -G0/0/255 -P -K -O >> tmp.ps         
done  

 echo $lon $lat  10 0 0 1 $tval | pstext -R  -JS -G0/0/255 -P -O  >> tmp.ps

#--Keppe alakitas

 convert +antialias tmp.ps tmp.png
